LogMessageBuilder.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <vector>`
`#include <array>`
`#include <memory>`
`#include <iomanip>`
`#include <globjects/globjects_api.h>`
`#include <globjects/base/LogMessageLevel.h>`
`#include <globjects/base/LogMessageBuilder.inl>`

Go to the source code of this file.

## Classes

class | globjects::ref_ptr< T >
| The ref_ptr class provides the interface for a reference pointer. More...
class | globjects::LogMessageBuilder
| Builds a LogMessage from different kinds of primitive types. More...

## Namespaces

| globjects
| Contains all the classes that wrap OpenGL functionality.